<template>
    <v-card>
      <v-card-title>
        <v-text-field
          v-model="search"
          append-icon="mdi-magnify"
          label="Search"
          single-line
          hide-details
        />
      </v-card-title>
      <v-data-table
        :headers="headers"
        :items="cashier"
        :search="search"
      >
        <template v-slot:item.action="{ item }">

            <v-switch
            :label="item.action ? 'Open' : 'Closed'"
      v-model="item.action"
    ></v-switch>
        </template>
      </v-data-table>
    </v-card>
  </template>
  
  <script>
  export default {
    layout:'default4',
    data () {
      return {
        switch1: true,
        search: '',
        headers: [
          { text: 'No', value: 'no' },
          { text: 'Username', value: 'username' },
          { text: 'Password', value: 'password' },
          { text: 'Status', value: 'action', sortable: false }
        ],
        cashier: [
          {
            no: 1,
            username: 'A1',
            password: '01',
            action: true,
          },
          {
            no: 2,
            username: 'A2',
            password: '02',
            action: true,
          },
          {
            no: 3,
            username: 'A3',
            password: '03',
            action: true,
          },
          {
            no: 4,
            username: 'A4',
            password: '04',
            action: true,
          },
          {
            no: 5,
            username: 'A5',
            password: '05',
            action: true,
          },
          {
            no: 6,
            username: 'A6',
            password: '06',
            action: true,
          },
          {
            no: 7,
            username: 'A7',
            password: '07',
            action: true,
          },
          {
            no: 8,
            username: 'A8',
            password: '08',
            action: true,
          },
          {
            no: 9,
            username: 'A9',
            password: '09',
            action: true,
          },
          {
            no: 10,
            username: 'A10',
            password: '10',
            action: true,
          },
        ]
      }
    }
  };
  </script>
<style>
    h2{
        font-family: 'Courier New', Courier, monospace;
    }
</style>